Package org.apache.catalina.valves.rewrite

## Class Substitution.SubstitutionElement

- java.lang.Object
- - org.apache.catalina.valves.rewrite.Substitution.SubstitutionElement

Direct Known Subclasses:
  `Substitution.MapElement`, `Substitution.RewriteCondBackReferenceElement`, `Substitution.RewriteRuleBackReferenceElement`, `Substitution.ServerVariableElement`, `Substitution.ServerVariableEnvElement`, `Substitution.ServerVariableHttpElement`, `Substitution.ServerVariableSslElement`, `Substitution.StaticElement`

Enclosing class:
  Substitution

    public abstract static class Substitution.SubstitutionElement
    extends java.lang.Object

### Constructor Summary

Constructors
`SubstitutionElement()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract java.lang.String` `evaluate​(java.util.regex.Matcher rule, java.util.regex.Matcher cond, Resolver resolver)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubstitutionElement

    public SubstitutionElement()

### Method Detail

#### evaluate

    public abstract java.lang.String evaluate​(java.util.regex.Matcher rule,
                                              java.util.regex.Matcher cond,
                                              Resolver resolver)